Page MenuHomePhabricator

IABot does not insert the default 'title' text
Closed, ResolvedPublic

Description

IABot inserts |title={title} instead of |title=Archivált másolat (example). I have stopped the bot on the Hungarian Wikipedia till we solve the problem.

Every problematic templates were fixed by my bot (548 edits).

Related Objects

Duplicates Merged Here
T203961: |title={title}

Event Timeline

Bencemac created this task.Sep 8 2018, 9:41 AM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptSep 8 2018, 9:41 AM
Restricted Application added a subscriber: Cyberpower678. · View Herald Transcript
Cirdan added a subscriber: Cirdan.Sep 8 2018, 12:21 PM
Cirdan removed a subscriber: Cirdan.
Cirdan added a subscriber: Cirdan.
Bencemac updated the task description. (Show Details)Sep 9 2018, 4:16 PM

Templates were fixed today, we are waiting for v2.0beta10.

Green_Cardamom triaged this task as High priority.Sep 12 2018, 5:49 PM

Upping the priority because this is a commonly introduced bug with thousands of cases across all languages that may or may not have local bots that can fix it, like with @Bencemac on huwiki and my bot on enwiki. Recommend IABot include code to fix it when it sees it. It's a simple fix but should also account for unusual spacing around the left and right of the "=" sign eg. title = {title}

Izno added a subscriber: Izno.Oct 21 2018, 6:00 PM

I bumped into this one today (see reference edit).

@Cyberpower678 A gentle reminder. Could you give us a little update?

Cyberpower678 closed this task as Resolved.Nov 8 2018, 4:22 AM